> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Fireblocks Stablecoin Payroll Integration

> Saves Fireblocks API key and/or vault account on the org's existing payroll integration; marks onboarding when configured.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/add-fireblocks-stablecoin-payroll-integration
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/add-fireblocks-stablecoin-payroll-integration:
    post:
      operationId: addFireblocksStablecoinPayrollIntegration
      summary: Add Fireblocks Stablecoin Payroll Integration
      description: >-
        Saves Fireblocks API key and/or vault account on the org's existing
        payroll integration; marks onboarding when configured.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/AddFireblocksStablecoinPayrollIntegrationRequest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/AddFireblocksStablecoinPayrollIntegrationResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    AddFireblocksStablecoinPayrollIntegrationRequest:
      type: object
      properties:
        fireblocksApiKey:
          type: string
          minLength: 1
        vaultAccountId:
          type: string
          minLength: 1
    AddFireblocksStablecoinPayrollIntegrationResponse:
      type: object
      properties:
        fireblocksStablecoinPayrollIntegrationID:
          type: string
        orgID:
          type: string
        vaultAccountId:
          type: string
        isConfigured:
          type: boolean
        createdAt:
          type: string
      required:
        - fireblocksStablecoinPayrollIntegrationID
        - orgID
        - vaultAccountId
        - isConfigured
        - createdAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
